Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 236169 - Allow mono-addins-0.3.1 to compile against mono-1.2
Summary: Allow mono-addins-0.3.1 to compile against mono-1.2
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: dotnet
URL: http://lists.ximian.com/pipermail/mon...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-30 06:47 UTC by Christopher Byrne
Modified: 2008-11-19 23:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to allow compile on mono-1.2.x (0.3.1-ManageSitesDialog-compile-fix.patch,479 bytes, patch)
2008-08-30 06:48 UTC, Christopher Byrne
Details | Diff
Updated ebuild for mono-addins-0.3.1 (mono-addins-0.3.1-r1.ebuild,1.20 KB, text/plain)
2008-08-30 06:50 UTC, Christopher Byrne
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Byrne 2008-08-30 06:47:54 UTC
Currently mono-addins 0.3.1 requires mono-1.9 because it does not compile against mono-1.2. However, a a simple 1-line patch allows it to compile against the current stable Mono. Banshee-1.2 requires mono-addins-0.3.1.
Comment 1 Christopher Byrne 2008-08-30 06:48:41 UTC
Created attachment 164108 [details, diff]
Patch to allow compile on mono-1.2.x
Comment 2 Christopher Byrne 2008-08-30 06:50:10 UTC
Created attachment 164110 [details]
Updated ebuild for mono-addins-0.3.1
Comment 3 Christopher Byrne 2008-08-31 00:03:43 UTC
Note that mono-addins-0.3.1 compile just fine with mono-1.2.6 without the patch. It seems banshee-1.2 itself will not compile on anything less than mono-1.2.6, even with this patch, for unrelated reasons.

However,the RDEPEND on dev-dotnet/mono-addins can still be safely dropped from >=dev-lang/mono-1.9 to >=dev-lang/mono-1.2.6 regardless of the applied patch.
Comment 4 Peter Alfredsen (RETIRED) gentoo-dev 2008-11-19 23:04:44 UTC
Sorry, we dotnet is overstretched. If you want the latest, please use package.keywords.